Displaying 20 results from an estimated 27 matches for "rereadpt".
Did you mean:
reread
2010 Mar 18
1
[PATCH node] cleanup a couple small issues
...evice" ]; then
mpath_device=$dev
@@ -580,7 +580,7 @@ wipe_lvm_on_disk()
reread_partitions()
{
local drive=$1
- if [[ $drive =~ "^/dev/mapper" ]]; then
+ if [[ $drive =~ "/dev/mapper" ]]; then
kpartx -a -p p $drive
else
blockdev --rereadpt $drive
--
1.6.6.1
2014 Nov 23
0
[PATCH 2/3] New API: guestfs_blockdev_setra: Adjust readahead for filesystems and devices.
...etsize64", 0, 1);
+ return call_blockdev (device, "--getsize64", -1, 1);
}
int
do_blockdev_flushbufs (const char *device)
{
- return call_blockdev (device, "--flushbufs", 0, 0);
+ return call_blockdev (device, "--flushbufs", -1, 0);
}
int
do_blockdev_rereadpt (const char *device)
{
- return call_blockdev (device, "--rereadpt", 0, 0);
+ return call_blockdev (device, "--rereadpt", -1, 0);
}
diff --git a/generator/actions.ml b/generator/actions.ml
index fe492e6..baa7679 100644
--- a/generator/actions.ml
+++ b/generator/actions.ml
@@...
2012 Sep 04
1
virt-sparsify broken after recent changes
....img
kname=vda
test -f ${img} && exit 1
test -f ${sprs} && exit 1
find /usr/share/ -type f -print0 | xargs -0 cat | dd bs=$(( 1024 * 1024 )) count=$(( 42 )) iflag=fullblock of=${img}
ls -lhsS ${img}
time guestfish -v <<_EOF_
add ${img}
run
part-disk /dev/${kname} mbr
blockdev-rereadpt /dev/${kname}
mkfs ext2 /dev/${kname}1
blockdev-rereadpt /dev/${kname}
mount /dev/${kname}1 /
mkdir /y
ls /
ls /y
umount /
sync
_EOF_
time virt-sparsify -v ${img} ${sprs}
ls -lhsS ${img} ${sprs}
2015 Dec 09
4
Trouble with Ubuntu 15.10 / syslinux 6.03
...[[ ! -b $device ]] ; then
echo 1>&2 "Device $device missing"
exit 1
fi
parted -s $device rm 1 || :
parted -s $device rm 2 || :
parted -s $device rm 3 || :
parted -s $device rm 4 || :
parted -s $device mkpart primary fat32 0MB 4000MB
parted -s $device set 1 boot on
blockdev --rereadpt $device
sleep 2
dd if=/usr/lib/SYSLINUX/mbr.bin of=$device
mkdosfs ${device}1
syslinux --install ${device}1
kvm -drive file=${device},format=raw
-------------------------------------------------------------------
That script works under 14.04 LTS and creates a running pendrive
(i.e. syslin...
2009 Dec 10
0
[PATCH node] Enables stateless iscsi remote boot
...eters"
unmount_config /etc/default/ovirt
@@ -366,24 +392,36 @@ perform_partitioning()
# begin critical section
set -e
- # FIXME: save a backup copy, just in case?
- log "Wiping old boot sector"
- dd if=/dev/zero of=$ROOTDRIVE bs=1024K count=1
- blockdev --rereadpt $ROOTDRIVE
- partprobe -s $ROOTDRIVE
-
MEM_SIZE_MB=$(echo "scale=0; $MEM_SIZE_MB / 1024;" | bc -l)
local boot_size_si=$(echo "scale=0; $BOOT_SIZE * (1024 * 1024) / (1000 * 1000)" | bc -l)
- log "Labeling Drive: $ROOTDRIVE"
- parted $ROOTDRIVE -s &quo...
2014 Nov 23
7
[PATCH 0/3] patches needed for virt-bmap
See http://rwmj.wordpress.com/2014/11/23/mapping-files-to-disk/
2014 Nov 24
2
[PATCH v2 0/2] patches needed for virt-bmap
Does *not* incorporate changes suggested by Pino yet.
Rich.
2009 Nov 04
1
[PATCH node] add ability to select separate disks for Root and HostVG in o-c-storage
...$ROOTDRIVE"
log "Saving parameters"
unmount_config /etc/default/ovirt
@@ -326,40 +351,51 @@ perform_partitioning()
# FIXME: save a backup copy, just in case?
log "Wiping old boot sector"
- dd if=/dev/zero of=$DRIVE bs=1024K count=1
- blockdev --rereadpt $DRIVE
- partprobe -s $DRIVE
+ dd if=/dev/zero of=$ROOTDRIVE bs=1024K count=1
+ blockdev --rereadpt $ROOTDRIVE
+ partprobe -s $ROOTDRIVE
MEM_SIZE_MB=$(echo "scale=0; $MEM_SIZE_MB / 1024;" | bc -l)
- log "Labeling Drive"
- parted $DRIVE -s "mklabel $...
2010 Feb 24
5
New Storage related patches
This set of patches introduces support for multipath devices for
storage. Comments and suggestions are appreciated.
Mike
2012 Feb 06
2
[PATCH 1/2] Revert "daemon: Run udev_settle after pwrite-device finishes."
From: "Richard W.M. Jones" <rjones at redhat.com>
This reverts commit a9c8123c72db47bcab8dd738e8d5256a9ae87f11.
---
daemon/file.c | 18 +++---------------
daemon/parted.c | 3 +--
2 files changed, 4 insertions(+), 17 deletions(-)
diff --git a/daemon/file.c b/daemon/file.c
index 057e15d..91746e0 100644
--- a/daemon/file.c
+++ b/daemon/file.c
@@ -525,7 +525,7 @@
2015 Dec 10
0
Trouble with Ubuntu 15.10 / syslinux 6.03
...$device missing"
> exit 1
> fi
>
> parted -s $device rm 1 || :
> parted -s $device rm 2 || :
> parted -s $device rm 3 || :
> parted -s $device rm 4 || :
>
> parted -s $device mkpart primary fat32 0MB 4000MB
> parted -s $device set 1 boot on
>
> blockdev --rereadpt $device
>
> sleep 2
>
> dd if=/usr/lib/SYSLINUX/mbr.bin of=$device
>
> mkdosfs ${device}1
>
> syslinux --install ${device}1
>
> kvm -drive file=${device},format=raw
>
>
> -------------------------------------------------------------------
It's very probab...
2010 Apr 05
1
RESEND: [PATCH node 1/3] enables ability for a common shared root
...; ]; then
+ log "Starting partitioning of $ROOTDRIVE"
+ log "Partitioning drive: $ROOTDRIVE"
+ # FIXME: save a backup copy, just in case?
+ log "Wiping old boot sector"
+ dd if=/dev/zero of=$ROOTDRIVE bs=1024K count=1
+ blockdev --rereadpt $ROOTDRIVE
+ partprobe -s $ROOTDRIVE
+ log "Labeling Drive: $ROOTDRIVE"
+ parted $ROOTDRIVE -s "mklabel ${LABEL_TYPE}"
+ log "Creating Root and RootBackup Partitions"
+ let RootBackup_end=${ROOT_SIZE}*2
+ parted $ROOTDRIVE -s &...
2010 Apr 01
2
[PATCH node 1/3] Enables ability to have a common shared root
...; ]; then
+ log "Starting partitioning of $ROOTDRIVE"
+ log "Partitioning drive: $ROOTDRIVE"
+ # FIXME: save a backup copy, just in case?
+ log "Wiping old boot sector"
+ dd if=/dev/zero of=$ROOTDRIVE bs=1024K count=1
+ blockdev --rereadpt $ROOTDRIVE
+ partprobe -s $ROOTDRIVE
+ log "Labeling Drive: $ROOTDRIVE"
+ parted $ROOTDRIVE -s "mklabel ${LABEL_TYPE}"
+ log "Creating Root and RootBackup Partitions"
+ let RootBackup_end=${ROOT_SIZE}*2
+ parted $ROOTDRIVE -s &...
2010 Mar 31
1
[PATCH node] Handle space in storage wwid
...log "This operation cannot complete. Please manually"
log "cleanup the storage using standard linux tools."
@@ -583,7 +583,7 @@ reread_partitions()
if [[ $drive =~ "/dev/mapper" ]]; then
kpartx -a -p p $drive
else
- blockdev --rereadpt $drive
+ blockdev --rereadpt "$drive"
fi
}
@@ -617,19 +617,19 @@ perform_partitioning()
log "Partitioning drive: $BOOTDRIVE"
log "Wiping old boot sector"
dd if=/dev/zero of=$BOOTDRIVE bs=1024K count=1
- reread_partitions...
2008 Jul 07
7
Handling virtual disks on Xen
Hello everyone,
Im starting to use Xen on a SUSE Linux Enterprise Server 10 SP2, but Im not
quite happy yet with the virtual disk management. I still need to do a lot
of research about that, but first I want to ask the community about a simple
way to handle the guest machine disks.
*Is there any way to increase/decrease a guest machine disk after the OS is
installed? Can I have a dynamically
2009 Dec 08
1
[PATCH node] iscsi remote root basework This lays most of the groundwork for iscsi installation and configuration. At this time configuring iscsi is disabled due to multiple issues with dependent pieces.
...quot;scale=0; $BOOT_SIZE * (1024 * 1024) / (1000 * 1000)" | bc -l)
log "Labeling Drive: $ROOTDRIVE"
parted $ROOTDRIVE -s "mklabel ${LABEL_TYPE}"
+ if [ -n "$BOOTDRIVE" ]; then
+ dd if=/dev/zero of=$BOOTDRIVE bs=1024K count=1
+ blockdev --rereadpt $BOOTDRIVE
+ partprobe -s $BOOTDRIVE
+ log "Creating boot partition"
+ parted $BOOTDRIVE -s "mklabel ${LABEL_TYPE}"
+ parted $BOOTDRIVE -s "mkpartfs primary ext2 0M ${boot_size_si}M"
+ fi
if [ $ROOTDRIVE != $HOSTVGDRIVE ]; then...
2011 Aug 29
2
Question re: CentOS-6.0, KVM, and /dev/sr0
I am experimenting with KVM and I wish to create a virtual machine
image in a logical volume. I can create the new lv without problem
but when I go to format its file system then I get these warnings:
Warning: WARNING: the kernel failed to re-read the partition table
on /dev/sda (Device or resource busy). As a result, it may not
reflect all of your changes until after reboot.
Warning: Unable to
2009 Sep 26
10
Adding handling for Multipath storage devices
The following patches introduce support for multipath and cciss devices to the ovirt-node and node-image. Comments are appreciated.
These patches assume that the 3 patches (2 node, 1 node-image) from Joey are all incorporated.
Mike
2013 Feb 12
11
What can I do to make btrfs work?
Btrfs has been broken for me for ages. I first reported it on this
list 5 months ago[1]. Below is a very simple reproducer that anyone
can run.
*NB* before you run this, adjust /dev/sda & /dev/sda1 to point to an
unused block device!
----------------------------------------------------------------------
#!/bin/sh -
set -e
while true; do
parted -s -- /dev/sda mklabel msdos
parted -s --
2012 Aug 30
2
[PATCH v2] daemon: collect list of called external commands
...rintf (buf + strlen (buf), " -N %d", n);
@@ -101,7 +104,7 @@ sfdisk (const char *device, int n, int cyls, int heads, int sectors,
* other component. In any case, reread the partition table
* unconditionally here.
*/
- (void) command (NULL, NULL, "blockdev", "--rereadpt", device, NULL);
+ (void) command (NULL, NULL, str_blockdev, "--rereadpt", device, NULL);
udev_settle ();
@@ -136,7 +139,7 @@ sfdisk_flag (const char *device, const char *flag)
char *out, *err;
int r;
- r = command (&out, &err, "sfdisk", flag, devic...